﻿<?xml version="1.0" encoding="utf-8"?>
<!--
  For more information on how to configure your ASP.NET application, please visit
  http://go.microsoft.com/fwlink/?LinkId=169433
  -->
<configuration>
  <configSections>
    <section name="botDetect" requirePermission="false" type="BotDetect.Configuration.BotDetectConfigurationSection, BotDetect" />
  </configSections>
  <connectionStrings>
    <add name="MandiriLelangDB" connectionString="server=.\sql2012;uid=sa;pwd=password;database=MandiriLelangDB;Connect Timeout=60" providerName="System.Data.SqlClient" />
  </connectionStrings>
  <appSettings>
    <add key="webpages:Version" value="2.0.0.0" />
    <add key="webpages:Enabled" value="false" />
    <add key="PreserveLoginUrl" value="true" />
    <add key="ClientValidationEnabled" value="true" />
    <add key="UnobtrusiveJavaScriptEnabled" value="true" />
    <!-- START CUSTOM CONFIGURATION FOR THIS PROJECT -->
    <add key="ShowErrorMessage" value="true" />
    <add key="ShowGrowlOnAjaxError" value="false" />
    <add key="LogErrorMessage" value="true" />
    <add key="ImageUploadPath" value="D:\VS Workspace\Bank Mandiri - Lelang\Image Uploads\" />
    <!-- <add key="RootPath" value="https://lelang.bankmandiri.co.id" /> -->
    <add key="RootPath" value="http://localhost:51117" />
    <add key="MailSmtpServer" value="smtp.gmail.com" />
    <add key="MailUser" value="wp.pub12unaspasim@gmail.com" />
    <add key="MailPassword" value="p4nt4ngm3ny3r4h" />
    <add key="MailSender" value="lelang@bankmandiri.co.id" />
    <add key="JWTSecretKey" value="abc1234" />
    <!--<add key="FBClientID" value="234109483696547" />
    <add key="FBClientSecret" value="c93a0a9263809c618eba42d1b22f84dc" />-->
    <add key="FBClientID" value="665992516907474" />
    <add key="FBClientSecret" value="e44e9b6e4064f52936727f6472cb2120" />
    <add key="EnableProxy" value="false" />
    <add key="ProxyDomain" value="" />
    <add key="ProxyUsername" value="" />
    <add key="ProxyPassword" value="" />
    <add key="EnableFBLogin" value="true" />
    <!--Configuration recaptcha-->
    <add key="RecaptchaPublicKey" value="6LezFzEUAAAAAFvJb6a9SyXgYrPRfY_NV3nkAoqj"/>
    <add key="RecaptchaPrivateKey" value="6LezFzEUAAAAAKsYMIZcQFjaR3ild9DW2rh6jYaW"/>
    <!--Configuration for Complex Password Member-->
    <add key="ComplexityPassword" value="false"/>
    <!-- END CUSTOM CONFIGURATION FOR THIS PROJECT -->
    
    
    
  </appSettings>
  <system.web>
    <compilation debug="true" targetFramework="4.0" />
    <httpCookies requireSSL="false" httpOnlyCookies="true" />
    <authentication mode="Forms">
      <forms loginUrl="~/Member/Login" protection="All" enableCrossAppRedirects="false" name=".ASPXAUTHMEMBER" />
    </authentication>
    <!-- Allow *, & -->
    <httpRuntime requestPathInvalidCharacters="&lt;,&gt;,%,\,?" />
    <pages enableSessionState="true">
      <namespaces>
        <add namespace="System.Web.Helpers" />
        <add namespace="System.Web.Mvc" />
        <add namespace="System.Web.Mvc.Ajax" />
        <add namespace="System.Web.Mvc.Html" />
        <add namespace="System.Web.Routing" />
        <add namespace="System.Web.WebPages" />
      </namespaces>
      <controls>
        <add assembly="BotDetect" namespace="BotDetect.Web.UI" tagPrefix="BotDetect" />
      </controls>
    </pages>
    <globalization culture="en-US" uiCulture="en-US" enableClientBasedCulture="false" requestEncoding="utf-8" responseEncoding="utf-8" />
    <customErrors mode="Off" defaultRedirect="Error/ErrorPage">
    </customErrors>
    <httpHandlers>
      <add verb="GET" path="BotDetectCaptcha.ashx" type="BotDetect.Web.CaptchaHandler, BotDetect" />
    </httpHandlers>
    <sessionState mode="InProc" cookieless="AutoDetect" timeout="20" sessionIDManagerType="BotDetect.Web.CustomSessionIdManager, BotDetect" />
  </system.web>
  <location path="Content">
    <system.web>
      <authorization>
        <allow users="*" />
      </authorization>
    </system.web>
  </location>
  <location path="css">
    <system.web>
      <authorization>
        <allow users="*" />
      </authorization>
    </system.web>
  </location>
  <location path="fonts">
    <system.web>
      <authorization>
        <allow users="*" />
      </authorization>
    </system.web>
  </location>
  <location path="img">
    <system.web>
      <authorization>
        <allow users="*" />
      </authorization>
    </system.web>
  </location>
  <location path="js">
    <system.web>
      <authorization>
        <allow users="*" />
      </authorization>
    </system.web>
  </location>
  <location path="less">
    <system.web>
      <authorization>
        <allow users="*" />
      </authorization>
    </system.web>
  </location>
  <system.webServer>
    <modules runAllManagedModulesForAllRequests="true" />
    <handlers>
      <remove name="ExtensionlessUrlHandler-ISAPI-4.0_32bit" />
      <remove name="ExtensionlessUrlHandler-ISAPI-4.0_64bit" />
      <remove name="ExtensionlessUrlHandler-Integrated-4.0" />
      <add name="ExtensionlessUrlHandler-ISAPI-4.0_32bit" path="*." verb="GET,HEAD,POST,DEBUG,PUT,DELETE,PATCH,OPTIONS" modules="IsapiModule" scriptProcessor="%windir%\Microsoft.NET\Framework\v4.0.30319\aspnet_isapi.dll" preCondition="classicMode,runtimeVersionv4.0,bitness32" responseBufferLimit="0" />
      <add name="ExtensionlessUrlHandler-ISAPI-4.0_64bit" path="*." verb="GET,HEAD,POST,DEBUG,PUT,DELETE,PATCH,OPTIONS" modules="IsapiModule" scriptProcessor="%windir%\Microsoft.NET\Framework64\v4.0.30319\aspnet_isapi.dll" preCondition="classicMode,runtimeVersionv4.0,bitness64" responseBufferLimit="0" />
      <add name="ExtensionlessUrlHandler-Integrated-4.0" path="*." verb="GET,HEAD,POST,DEBUG,PUT,DELETE,PATCH,OPTIONS" type="System.Web.Handlers.TransferRequestHandler" preCondition="integratedMode,runtimeVersionv4.0" />
      <remove name="BotDetectCaptchaHandler" />
      <add name="BotDetectCaptchaHandler" preCondition="integratedMode" verb="GET" path="BotDetectCaptcha.ashx" type="BotDetect.Web.CaptchaHandler, BotDetect" />
    </handlers>
    <validation validateIntegratedModeConfiguration="false" />
  </system.webServer>
  <runtime>
    <assemblyBinding xmlns="urn:schemas-microsoft-com:asm.v1">
      <dependentAssembly>
        <assemblyIdentity name="System.Web.Mvc" publicKeyToken="31bf3856ad364e35" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-4.0.0.0" newVersion="4.0.0.0" />
      </dependentAssembly>
    </assemblyBinding>
  </runtime>
  <botDetect helpLinkEnabled="true" helpLinkMode="image" />
</configuration>